Name:           png++
Version:        0.2.9
Release:        1%{?dist}
Summary:        Simple yet powerful C++ interface to libpng
License:        GPLv3
URL:            https://www.nongnu.org/pngpp/
Source0:        https://download.savannah.nongnu.org/releases/pngpp/png++-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  doxygen
BuildRequires:  make
BuildRequires:  gcc-c++
BuildRequires:  libpng-devel

%description
PNG++ aims to provide a simple yet powerful C++ interface to libpng, the PNG
reference implementation library. It makes reading and writing PNG images in
C++ easy and intuitive, avoiding the complexity of directly using libpng.

%package devel
Summary:        Development files for PNG++, a header-only C++ wrapper for libpng
Requires:       libpng-devel

%description devel
This package provides the C++ header files for PNG++, which wraps libpng to
offer a high-level interface for handling PNG files in C++. Being header-only,
it does not require linking against a separate library.

%package doc
Summary:        Documentation for the PNG++ library
BuildArch:      noarch

%description doc
This package contains API documentation for the PNG++ library, generated using Doxygen.

%prep
%autosetup -n png++-%{version}

%build
%make_build
make docs

#%check
#make test

%install
make install PREFIX=%{buildroot}%{_prefix}


%files devel
%license COPYING
%doc README
%{_includedir}/%{name}/*.hpp

%files doc
%doc %{_docdir}/%{name}-%{version}/*
%{_docdir}/png++

%changelog
* Thu May 15 2025 Your Name <martin.hubner@web.de> - 0.2.9-1
- Initial RPM release
